<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:36 CEST 2019 -->
<title>WinFbClientLibrary (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WinFbClientLibrary (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jna/fbclient/USER_SEC_DATA.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/WinFbClientLibrary.html" target="_top">Frames</a></li>
<li><a href="WinFbClientLibrary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jna.fbclient</div>
<h2 title="Interface WinFbClientLibrary" class="title">Interface WinFbClientLibrary</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>com.sun.jna.AltCallingConvention, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary</a>, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">WinFbClientLibrary</span>
extends <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary</a>, com.sun.jna.win32.StdCallLibrary</pre>
<div class="block">JNA library interface specifically for the Windows platform.
 <p>
 This interface instructs JNA to apply <code>__stdcall</code> conventions.
 </p>
 <p>
 Warning: Some methods defined in <code>ibase.h</code> (those marked with <code>ISC_EXPORT_VARARG</code>) apply <code>__cdecl</code>,
 so those methods might break.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient">WinFbClientLibrary.FbShutdownStdCallback</a></span></code>
<div class="block">FbShutdown Callback following the StdCall conventions</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" title="interface in org.firebirdsql.jna.fbclient">WinFbClientLibrary.IscEventStdCallback</a></span></code>
<div class="block">IscEvent Callback following the StdCall conventions</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.jna.fbclient.FbClientLibrary">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary</a></h3>
<code><a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.FbShutdownCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.FbShutdownCallback</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.IscEventCallback.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary.IscEventCallback</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.sun.jna.win32.StdCallLibrary">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;com.sun.jna.win32.StdCallLibrary</h3>
<code>com.sun.jna.win32.StdCallLibrary.StdCallCallback</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.com.sun.jna.Library">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;com.sun.jna.Library</h3>
<code>com.sun.jna.Library.Handler</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sun.jna.win32.StdCallLibrary">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;com.sun.jna.win32.StdCallLibrary</h3>
<code>FUNCTION_MAPPER, STDCALL_CONVENTION</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sun.jna.Library">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;com.sun.jna.Library</h3>
<code>OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.html#isc_que_events-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-com.sun.jna.Pointer-org.firebirdsql.jna.fbclient.WinFbClientLibrary.IscEventStdCallback-com.sun.jna.Pointer-">isc_que_events</a></span>(<a href="../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a>[]&nbsp;statusVector,
              com.sun.jna.ptr.IntByReference&nbsp;dbHandle,
              com.sun.jna.ptr.IntByReference&nbsp;eventId,
              short&nbsp;length,
              com.sun.jna.Pointer&nbsp;eventBuffer,
              <a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" title="interface in org.firebirdsql.jna.fbclient">WinFbClientLibrary.IscEventStdCallback</a>&nbsp;eventFunction,
              com.sun.jna.Pointer&nbsp;eventFunctionArg)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.jna.fbclient.FbClientLibrary">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.jna.fbclient.<a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html" title="interface in org.firebirdsql.jna.fbclient">FbClientLibrary</a></h3>
<code><a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#fb_cancel_operation-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-">fb_cancel_operation</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#fb_disconnect_transaction-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">fb_disconnect_transaction</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#fb_interpret-java.nio.ByteBuffer-int-com.sun.jna.ptr.PointerByReference-">fb_interpret</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#fb_shutdown_callback-org.firebirdsql.jna.fbclient.ISC_STATUS:A-org.firebirdsql.jna.fbclient.FbClientLibrary.FbShutdownCallback-int-com.sun.jna.Pointer-">fb_shutdown_callback</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#fb_shutdown-int-int-">fb_shutdown</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#fb_sqlstate-java.nio.ByteBuffer-org.firebirdsql.jna.fbclient.ISC_STATUS:A-">fb_sqlstate</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_add_user-org.firebirdsql.jna.fbclient.ISC_STATUS:A-org.firebirdsql.jna.fbclient.USER_SEC_DATA-">isc_add_user</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_array_get_slice-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-org.firebirdsql.jna.fbclient.GDS_QUAD_t-org.firebirdsql.jna.fbclient.ISC_ARRAY_DESC-com.sun.jna.Pointer-java.nio.IntBuffer-">isc_array_get_slice</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_array_lookup_bounds-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-byte:A-byte:A-org.firebirdsql.jna.fbclient.ISC_ARRAY_DESC-">isc_array_lookup_bounds</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_array_lookup_desc-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-byte:A-byte:A-org.firebirdsql.jna.fbclient.ISC_ARRAY_DESC-">isc_array_lookup_desc</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_array_put_slice-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-org.firebirdsql.jna.fbclient.GDS_QUAD_t-org.firebirdsql.jna.fbclient.ISC_ARRAY_DESC-com.sun.jna.Pointer-java.nio.IntBuffer-">isc_array_put_slice</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_array_set_desc-org.firebirdsql.jna.fbclient.ISC_STATUS:A-byte:A-byte:A-short:A-short:A-short:A-org.firebirdsql.jna.fbclient.ISC_ARRAY_DESC-">isc_array_set_desc</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_attach_database-org.firebirdsql.jna.fbclient.ISC_STATUS:A-short-byte:A-com.sun.jna.ptr.IntByReference-short-byte:A-">isc_attach_database</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_blob_default_desc-org.firebirdsql.jna.fbclient.ISC_BLOB_DESC-byte:A-byte:A-">isc_blob_default_desc</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_blob_gen_bpb-org.firebirdsql.jna.fbclient.ISC_STATUS:A-org.firebirdsql.jna.fbclient.ISC_BLOB_DESC-org.firebirdsql.jna.fbclient.ISC_BLOB_DESC-short-java.nio.ByteBuffer-java.nio.ShortBuffer-">isc_blob_gen_bpb</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_blob_info-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-byte:A-short-java.nio.ByteBuffer-">isc_blob_info</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_blob_lookup_desc-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-byte:A-byte:A-org.firebirdsql.jna.fbclient.ISC_BLOB_DESC-java.nio.ByteBuffer-">isc_blob_lookup_desc</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_blob_set_desc-org.firebirdsql.jna.fbclient.ISC_STATUS:A-byte:A-byte:A-short-short-short-org.firebirdsql.jna.fbclient.ISC_BLOB_DESC-">isc_blob_set_desc</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_cancel_blob-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_cancel_blob</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_cancel_events-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-">isc_cancel_events</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_close_blob-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_close_blob</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_close-org.firebirdsql.jna.fbclient.ISC_STATUS:A-byte:A-">isc_close</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_commit_retaining-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_commit_retaining</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_commit_transaction-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_commit_transaction</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_compile_request-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-">isc_compile_request</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_compile_request2-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-">isc_compile_request2</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_create_blob-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-org.firebirdsql.jna.fbclient.GDS_QUAD_t-">isc_create_blob</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_create_blob2-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-org.firebirdsql.jna.fbclient.GDS_QUAD_t-short-byte:A-">isc_create_blob2</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_create_blob2-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.LongByReference-short-byte:A-">isc_create_blob2</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_create_database-org.firebirdsql.jna.fbclient.ISC_STATUS:A-short-byte:A-com.sun.jna.ptr.IntByReference-short-byte:A-short-">isc_create_database</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_database_info-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-byte:A-short-java.nio.ByteBuffer-">isc_database_info</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_ddl-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-">isc_ddl</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_declare-org.firebirdsql.jna.fbclient.ISC_STATUS:A-byte:A-byte:A-">isc_declare</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_decode_date-org.firebirdsql.jna.fbclient.GDS_QUAD_t:A-com.sun.jna.Pointer-">isc_decode_date</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_decode_sql_date-int:A-com.sun.jna.Pointer-">isc_decode_sql_date</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_decode_sql_time-int:A-com.sun.jna.Pointer-">isc_decode_sql_time</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_decode_timestamp-org.firebirdsql.jna.fbclient.ISC_TIMESTAMP-com.sun.jna.Pointer-">isc_decode_timestamp</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_delete_user-org.firebirdsql.jna.fbclient.ISC_STATUS:A-org.firebirdsql.jna.fbclient.USER_SEC_DATA-">isc_delete_user</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_describe_bind-org.firebirdsql.jna.fbclient.ISC_STATUS:A-byte:A-org.firebirdsql.jna.fbclient.XSQLDA-">isc_describe_bind</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_describe-org.firebirdsql.jna.fbclient.ISC_STATUS:A-byte:A-org.firebirdsql.jna.fbclient.XSQLDA-">isc_describe</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_detach_database-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_detach_database</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_drop_database-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_drop_database</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_alloc_statement2-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-">isc_dsql_alloc_statement2</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_allocate_statement-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-">isc_dsql_allocate_statement</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_describe_bind-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-org.firebirdsql.jna.fbclient.XSQLDA-">isc_dsql_describe_bind</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_describe-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-org.firebirdsql.jna.fbclient.XSQLDA-">isc_dsql_describe</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_exec_immed2-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-org.firebirdsql.jna.fbclient.XSQLDA-org.firebirdsql.jna.fbclient.XSQLDA-">isc_dsql_exec_immed2</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_exec_immed3_m-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-short-java.nio.ByteBuffer-short-short-byte:A-short-java.nio.ByteBuffer-short-short-java.nio.ByteBuffer-">isc_dsql_exec_immed3_m</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_execute_immediate_m-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-short-java.nio.ByteBuffer-short-short-java.nio.ByteBuffer-">isc_dsql_execute_immediate_m</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_execute_immediate-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-org.firebirdsql.jna.fbclient.XSQLDA-">isc_dsql_execute_immediate</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_execute_m-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-short-byte:A-">isc_dsql_execute_m</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_execute_m-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-short-java.nio.ByteBuffer-">isc_dsql_execute_m</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_execute-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-org.firebirdsql.jna.fbclient.XSQLDA-">isc_dsql_execute</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_execute2_m-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-short-byte:A-short-byte:A-short-short-java.nio.ByteBuffer-">isc_dsql_execute2_m</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_execute2_m-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-short-java.nio.ByteBuffer-short-java.nio.ByteBuffer-short-short-java.nio.ByteBuffer-">isc_dsql_execute2_m</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_execute2-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-org.firebirdsql.jna.fbclient.XSQLDA-org.firebirdsql.jna.fbclient.XSQLDA-">isc_dsql_execute2</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_fetch_m-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-java.nio.ByteBuffer-short-short-java.nio.ByteBuffer-">isc_dsql_fetch_m</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_fetch-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-org.firebirdsql.jna.fbclient.XSQLDA-">isc_dsql_fetch</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_free_statement-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-">isc_dsql_free_statement</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_insert_m-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-byte:A-short-short-byte:A-">isc_dsql_insert_m</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_prepare_m-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-short-byte:A-short-java.nio.ByteBuffer-">isc_dsql_prepare_m</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_prepare-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-org.firebirdsql.jna.fbclient.XSQLDA-">isc_dsql_prepare</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_release-org.firebirdsql.jna.fbclient.ISC_STATUS:A-byte:A-">isc_dsql_release</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_set_cursor_name-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-byte:A-short-">isc_dsql_set_cursor_name</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_dsql_sql_info-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-byte:A-short-java.nio.ByteBuffer-">isc_dsql_sql_info</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_encode_date-com.sun.jna.Pointer-org.firebirdsql.jna.fbclient.GDS_QUAD_t-">isc_encode_date</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_encode_sql_date-com.sun.jna.Pointer-java.nio.IntBuffer-">isc_encode_sql_date</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_encode_sql_time-com.sun.jna.Pointer-java.nio.IntBuffer-">isc_encode_sql_time</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_encode_timestamp-com.sun.jna.Pointer-org.firebirdsql.jna.fbclient.ISC_TIMESTAMP-">isc_encode_timestamp</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_event_block_a-com.sun.jna.ptr.PointerByReference-com.sun.jna.ptr.PointerByReference-short-com.sun.jna.ptr.PointerByReference-">isc_event_block_a</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_event_block_s-com.sun.jna.ptr.PointerByReference-com.sun.jna.ptr.PointerByReference-short-com.sun.jna.ptr.PointerByReference-java.nio.ShortBuffer-">isc_event_block_s</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_event_block-com.sun.jna.ptr.PointerByReference-com.sun.jna.ptr.PointerByReference-short-java.lang.Object...-">isc_event_block</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_event_counts-org.firebirdsql.jna.fbclient.ISC_STATUS:A-short-com.sun.jna.Pointer-com.sun.jna.Pointer-">isc_event_counts</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_execute_immediate-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-java.nio.ShortBuffer-byte:A-">isc_execute_immediate</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_execute-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-byte:A-org.firebirdsql.jna.fbclient.XSQLDA-">isc_execute</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_expand_dpb-com.sun.jna.ptr.PointerByReference-java.nio.ShortBuffer-java.lang.Object...-">isc_expand_dpb</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_fetch-org.firebirdsql.jna.fbclient.ISC_STATUS:A-byte:A-org.firebirdsql.jna.fbclient.XSQLDA-">isc_fetch</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_free-com.sun.jna.Pointer-">isc_free</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_get_client_major_version--">isc_get_client_major_version</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_get_client_minor_version--">isc_get_client_minor_version</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_get_client_version-java.nio.ByteBuffer-">isc_get_client_version</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_get_segment-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.ShortByReference-short-java.nio.ByteBuffer-">isc_get_segment</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_get_slice-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-org.firebirdsql.jna.fbclient.GDS_QUAD_t-short-byte:A-short-int:A-int-com.sun.jna.Pointer-java.nio.IntBuffer-">isc_get_slice</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_interprete-java.nio.ByteBuffer-com.sun.jna.ptr.PointerByReference-">isc_interprete</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_modify_dpb-com.sun.jna.ptr.PointerByReference-java.nio.ShortBuffer-short-byte:A-short-">isc_modify_dpb</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_modify_user-org.firebirdsql.jna.fbclient.ISC_STATUS:A-org.firebirdsql.jna.fbclient.USER_SEC_DATA-">isc_modify_user</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_open_blob-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-org.firebirdsql.jna.fbclient.GDS_QUAD_t-">isc_open_blob</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_open_blob2-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-org.firebirdsql.jna.fbclient.GDS_QUAD_t-short-byte:A-">isc_open_blob2</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_open_blob2-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.LongByReference-short-byte:A-">isc_open_blob2</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_open-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-byte:A-org.firebirdsql.jna.fbclient.XSQLDA-">isc_open</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_portable_integer-byte:A-short-">isc_portable_integer</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_prepare_transaction-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_prepare_transaction</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_prepare_transaction2-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-byte:A-">isc_prepare_transaction2</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_prepare-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-byte:A-short:A-byte:A-org.firebirdsql.jna.fbclient.XSQLDA-">isc_prepare</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_put_segment-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-byte:A-">isc_put_segment</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_put_slice-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-org.firebirdsql.jna.fbclient.GDS_QUAD_t-short-byte:A-short-int:A-int-com.sun.jna.Pointer-">isc_put_slice</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_que_events-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-com.sun.jna.Pointer-org.firebirdsql.jna.fbclient.FbClientLibrary.IscEventCallback-com.sun.jna.Pointer-">isc_que_events</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_receive-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-short-com.sun.jna.Pointer-short-">isc_receive</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_reconnect_transaction-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-">isc_reconnect_transaction</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_release_request-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_release_request</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_request_info-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-short-byte:A-short-java.nio.ByteBuffer-">isc_request_info</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_rollback_retaining-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_rollback_retaining</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_rollback_transaction-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_rollback_transaction</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_seek_blob-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-int-com.sun.jna.ptr.IntByReference-">isc_seek_blob</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_send-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-short-com.sun.jna.Pointer-short-">isc_send</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_service_attach-org.firebirdsql.jna.fbclient.ISC_STATUS:A-short-byte:A-com.sun.jna.ptr.IntByReference-short-byte:A-">isc_service_attach</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_service_detach-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-">isc_service_detach</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_service_query-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-short-byte:A-short-java.nio.ByteBuffer-">isc_service_query</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_service_start-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-byte:A-">isc_service_start</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_sql_interprete-short-java.nio.ByteBuffer-short-">isc_sql_interprete</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_sqlcode_s-org.firebirdsql.jna.fbclient.ISC_STATUS:A-java.nio.IntBuffer-">isc_sqlcode_s</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_sqlcode-org.firebirdsql.jna.fbclient.ISC_STATUS:A-">isc_sqlcode</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_start_and_send-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-short-com.sun.jna.Pointer-short-">isc_start_and_send</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_start_multiple-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-com.sun.jna.Pointer-">isc_start_multiple</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_start_request-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-">isc_start_request</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_start_transaction-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-java.lang.Object...-">isc_start_transaction</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_transact_request-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-java.nio.ByteBuffer-short-java.nio.ByteBuffer-short-java.nio.ByteBuffer-">isc_transact_request</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_transaction_info-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-byte:A-short-java.nio.ByteBuffer-">isc_transaction_info</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_unwind_request-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-">isc_unwind_request</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_vax_integer-byte:A-short-">isc_vax_integer</a>, <a href="../../../../org/firebirdsql/jna/fbclient/FbClientLibrary.html#isc_wait_for_event-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-short-byte:A-java.nio.ByteBuffer-">isc_wait_for_event</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isc_que_events-org.firebirdsql.jna.fbclient.ISC_STATUS:A-com.sun.jna.ptr.IntByReference-com.sun.jna.ptr.IntByReference-short-com.sun.jna.Pointer-org.firebirdsql.jna.fbclient.WinFbClientLibrary.IscEventStdCallback-com.sun.jna.Pointer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isc_que_events</h4>
<pre><a href="../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a>&nbsp;isc_que_events(<a href="../../../../org/firebirdsql/jna/fbclient/ISC_STATUS.html" title="class in org.firebirdsql.jna.fbclient">ISC_STATUS</a>[]&nbsp;statusVector,
                          com.sun.jna.ptr.IntByReference&nbsp;dbHandle,
                          com.sun.jna.ptr.IntByReference&nbsp;eventId,
                          short&nbsp;length,
                          com.sun.jna.Pointer&nbsp;eventBuffer,
                          <a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.IscEventStdCallback.html" title="interface in org.firebirdsql.jna.fbclient">WinFbClientLibrary.IscEventStdCallback</a>&nbsp;eventFunction,
                          com.sun.jna.Pointer&nbsp;eventFunctionArg)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/firebirdsql/jna/fbclient/USER_SEC_DATA.ByValue.html" title="class in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/firebirdsql/jna/fbclient/WinFbClientLibrary.FbShutdownStdCallback.html" title="interface in org.firebirdsql.jna.fbclient"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/firebirdsql/jna/fbclient/WinFbClientLibrary.html" target="_top">Frames</a></li>
<li><a href="WinFbClientLibrary.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
